Get DNS queries time series
Retrieves normalized query volume to the 1.1.1.1 DNS resolver over time.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYYAPI Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
X-Auth-Email: user@example.comThe previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194Accepted Permissions (at least one required)
User Details WriteUser Details ReadParametersExpand Collapse
query DNSTimeseriesParams
Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.
Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.
Filters results by Autonomous System. Specify one or more Autonomous System Numbers (ASNs) as a comma-separated list. Prefix with - to exclude ASNs from results. For example, -174, 3356 excludes results from AS174, but includes results from AS3356.
Filters results by continent. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude continents from results. For example, -EU,NA excludes results from EU, but includes results from NA.
Filters results by date range. For example, use 7d and 7dcontrol to compare this week with the previous week. Use this parameter or set specific start and end dates (dateStart and dateEnd parameters).
DNSSEC param.Field[[]DNSTimeseriesParamsDNSSEC]optionalFilters results based on DNSSEC (DNS Security Extensions) support.
Filters results based on DNSSEC (DNS Security Extensions) support.
DNSSECAware param.Field[[]DNSTimeseriesParamsDNSSECAware]optionalFilters results based on DNSSEC (DNS Security Extensions) client awareness.
Filters results based on DNSSEC (DNS Security Extensions) client awareness.
Filters results based on DNSSEC-validated answers by end-to-end security status.
IPVersion param.Field[[]DNSTimeseriesParamsIPVersion]optionalFilters results by IP version (Ipv4 vs. IPv6).
Filters results by IP version (Ipv4 vs. IPv6).
Filters results by location. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude locations from results. For example, -US,PT excludes results from the US, but includes results from PT.
Filters results based on whether the queries have a matching answer.
Specifies whether the response includes empty DNS responses (NODATA).
Protocol param.Field[[]DNSTimeseriesParamsProtocol]optionalFilters results by DNS transport protocol.
Filters results by DNS transport protocol.
ResponseCode param.Field[[]DNSTimeseriesParamsResponseCode]optionalFilters results by DNS response code.
Filters results by DNS response code.
ReturnsExpand Collapse
type DNSTimeseriesResponse struct{…}
Meta DNSTimeseriesResponseMetaMetadata for the results.
Metadata for the results.
AggInterval DNSTimeseriesResponseMetaAggIntervalAggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.
Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.
ConfidenceInfo DNSTimeseriesResponseMetaConfidenceInfo
Annotations []DNSTimeseriesResponseMetaConfidenceInfoAnnotation
DataSource DNSTimeseriesResponseMetaConfidenceInfoAnnotationsDataSourceData source for annotations.
Data source for annotations.
EventType DNSTimeseriesResponseMetaConfidenceInfoAnnotationsEventTypeEvent type for annotations.
Event type for annotations.
Normalization DNSTimeseriesResponseMetaNormalizationNormalization method applied to the results. Refer to Normalization methods.
Normalization method applied to the results. Refer to Normalization methods.
Get DNS queries time series
package main
import (
"context"
"fmt"
"github.com/cloudflare/cloudflare-go"
"github.com/cloudflare/cloudflare-go/option"
"github.com/cloudflare/cloudflare-go/radar"
)
func main() {
client := cloudflare.NewClient(
option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
)
response, err := client.Radar.DNS.Timeseries(context.TODO(), radar.DNSTimeseriesParams{
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Meta)
}
{
"result": {
"meta": {
"aggInterval": "FIFTEEN_MINUTES",
"confidenceInfo": {
"annotations": [
{
"dataSource": "ALL",
"description": "Cable cut in Tonga",
"endDate": "2019-12-27T18:11:19.117Z",
"eventType": "EVENT",
"isInstantaneous": true,
"linkedUrl": "https://example.com",
"startDate": "2019-12-27T18:11:19.117Z"
}
],
"level": 0
},
"dateRange": [
{
"endTime": "2022-09-17T10:22:57.555Z",
"startTime": "2022-09-16T10:22:57.555Z"
}
],
"lastUpdated": "2019-12-27T18:11:19.117Z",
"normalization": "PERCENTAGE",
"units": [
{
"name": "*",
"value": "requests"
}
]
}
},
"success": true
}Returns Examples
{
"result": {
"meta": {
"aggInterval": "FIFTEEN_MINUTES",
"confidenceInfo": {
"annotations": [
{
"dataSource": "ALL",
"description": "Cable cut in Tonga",
"endDate": "2019-12-27T18:11:19.117Z",
"eventType": "EVENT",
"isInstantaneous": true,
"linkedUrl": "https://example.com",
"startDate": "2019-12-27T18:11:19.117Z"
}
],
"level": 0
},
"dateRange": [
{
"endTime": "2022-09-17T10:22:57.555Z",
"startTime": "2022-09-16T10:22:57.555Z"
}
],
"lastUpdated": "2019-12-27T18:11:19.117Z",
"normalization": "PERCENTAGE",
"units": [
{
"name": "*",
"value": "requests"
}
]
}
},
"success": true
}